
! -------------------------- BEGIN EtaForSRImodFromCSV --------------------------
      function EtaForSRImodFromCSV(f, f2b, alogfFromEtaCSV, 
     :                             meanEtaFromEtaCSV,nEtaCSV)
 
      real alogfFromEtaCSV(*), meanEtaFromEtaCSV(*)

      dlogfNorm = 0.00291
      
      fNorm = f/f2b
      x = log10(fNorm)

!DEBUG
!      write(*,*) ' In EtaForSRImodFromCSV: ', f, f2b
!DEBUG
      
      call locate(alogfFromEtaCSV,nEtaCSV,x,j)
      if (j==0) then 
        EtaForSRImodFromCSV = meanEtaFromEtaCSV(1)
      else if (j==nEtaCSV) then
        EtaForSRImodFromCSV = meanEtaFromEtaCSV(nEtaCSV)
      else
        eps = (x-alogfFromEtaCSV(j))/dlogfNorm
        EtaForSRImodFromCSV = eps*meanEtaFromEtaCSV(j) + 
     :                 (1.0-eps)* meanEtaFromEtaCSV(j+1)
      end if

! eps = (x-xx(j))/dlogfNorm

! interp = eps*y(j) + (1-eps)*y(j+1)

! Comments added by D. Boore on 26feb2010:
!  finds j such that xx(j) < x <= xx(j+1)
!  EXCEPT if x = xx(1), then j = 1 (logically it would be 0 from
!  the above relation, but this is the same returned value of j
!  for a point out of range).
!  Also, if x = xx(n), j = n-1, which is OK
!  Note that j = 0 or j = n indicates that x is out of range.
!
!      EtaForSRImodFromFunction = 
!     :   a*((x-b)/s)**d/((1-((x-b)/s)**e)**f4eta + g*((x-b)/s)**h)**p

      return
      end
! -------------------------- END EtaForSRImodFromCSV --------------------------
      
 

 