! -------------------- BEGIN TT4vert -------------------------
      function tt4vert(z, d2bot, vel, nlayers)

! Dates: 03/29/99 - Written by D. Boore
!        05/09/03 - Extrapolate if z > deepest layer
!        04/29/15 - Replaced comment characters * or C with ! (The Fortran 95 standard)

      real d2bot(0:*), vel(*)

      tt4vert = 0.0
      do i = 1, nlayers
        if( z .gt. d2bot(i) ) then
          tt4vert = tt4vert + (d2bot(i)-d2bot(i-1))/vel(i)
        else
          z_in_layer = z - d2bot(i-1)  ! for this to work, need d2bot(0)=0.0
          tt4vert = tt4vert + z_in_layer/vel(i)
          go to 578
        end if
      end do
      if (z .gt. d2bot(nlayers)) then
          tt4vert = tt4vert + (z - d2bot(nlayers))/vel(nlayers)
      end if
578   continue

      return
      end
! -------------------- END TT4vert -------------------------
